package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;

import java.util.List;

/**
 * 班级老师
 */
public class ClassGroupTeachersDto extends ClassGroup {

	/** 班级老师 **/
	private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

	/** 班级老师课酬 */
	private List<ClassGroupTeacherSalary> classGroupTeacherSalaryList;

	private String teachingTeacherName;

	private String bishopTeacherName;

	/** 预排课时 */
	private Integer preTotalClassTimes;

	/** 剩余可排课时长 */
	private Integer preSubMinutes;

	/** 已排课时长 */
	private Integer preMinutes;

	public Integer getPreMinutes() {
		return preMinutes;
	}

	public void setPreMinutes(Integer preMinutes) {
		this.preMinutes = preMinutes;
	}

	public Integer getPreSubMinutes() {
		return preSubMinutes;
	}

	public void setPreSubMinutes(Integer preSubMinutes) {
		this.preSubMinutes = preSubMinutes;
	}

	public Integer getPreTotalClassTimes() {
		return preTotalClassTimes;
	}

	public void setPreTotalClassTimes(Integer preTotalClassTimes) {
		this.preTotalClassTimes = preTotalClassTimes;
	}

	public String getTeachingTeacherName() {
		return teachingTeacherName;
	}

	public void setTeachingTeacherName(String teachingTeacherName) {
		this.teachingTeacherName = teachingTeacherName;
	}

	public String getBishopTeacherName() {
		return bishopTeacherName;
	}

	public void setBishopTeacherName(String bishopTeacherName) {
		this.bishopTeacherName = bishopTeacherName;
	}

	//合奏班名称
	private String mixClassName;

	//合奏班编号
	private Integer mixClassId;

	public String getMixClassName() {
		return mixClassName;
	}

	public void setMixClassName(String mixClassName) {
		this.mixClassName = mixClassName;
	}

	public Integer getMixClassId() {
		return mixClassId;
	}

	public void setMixClassId(Integer mixClassId) {
		this.mixClassId = mixClassId;
	}

	public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
		return classGroupTeacherMapperList;
	}

	public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
		this.classGroupTeacherMapperList = classGroupTeacherMapperList;
	}

	public List<ClassGroupTeacherSalary> getClassGroupTeacherSalaryList() {
		return classGroupTeacherSalaryList;
	}

	public void setClassGroupTeacherSalaryList(List<ClassGroupTeacherSalary> classGroupTeacherSalaryList) {
		this.classGroupTeacherSalaryList = classGroupTeacherSalaryList;
	}
}
